Subject: cargo-build-system should propagate inputs and native-inputs of dependencies

From: Mikhail Tsykalov <[email-masked]>
Date: Mon, 25 Dec 2023 01:09:13 +0300

Considering cargo-inputs are built when top package is built it makes 
sense to propagate their inputs and native-inputs to top package. 
Currently you have to either track them manually or figure them out from 
build errors.

NB: This is my first time packaging rust, so I may be wrong about stuff.